## urlview 0.9

=== debian/changelog ===
urlview (0.9-23.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace CI config with central one.
  * Convert to 3.0 source format.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set debhelper-compat version in Build-Depends.

 -- Bastian Germann <bage@debian.org>  Sat, 03 Dec 2022 20:02:23 +0100

urlview (0.9-23) unstable; urgency=medium

  [ Emanuele Rocca ]
  * d/url_handler.sh: properly use nohup or suppress STDERR.
    Thanks Daniel Reichelt for the patch. Closes: #933388
  * d/README.Debian: do not mention mimedecode, the package has been removed a
    while ago. Closes: #693785
  * Allow dumping URLs to stdout by setting the URLVIEW_DEBUG environment
    variable. Thanks Francois Lallart. Closes: #598508
  * Fix warning about implicit declaration of function 'quote'.
    Thanks Joshua Root for the patch.
  * Enable Salsa CI Pipeline.
  * Add autopkgtests.
  * d/control: set Standards-Version to 4.6.1.

  [ наб ]
  * d/url_handler.sh: do not require bash for no reason, shellcheck-clean
  * d/README.Debian: align with reality w.r.t. url_handler.sh
    Closes: #1017562
  * d/control: depend on libcurses-dev directly
  * Link against libncursesw, fixing display of non-ASCII URLs
    Closes: #1017569

 -- Emanuele Rocca <ema@debian.org>  Sat, 20 Aug 2022 22:17:46 +0200

urlview (0.9-22) unstable; urgency=medium

  [ Emanuele Rocca ]
  * Move to dh and dh-autoreconf Closes: #993875
  * Drop build dependencies on: linuxdoc-tools, cdbs, libtool, automake1.11,
    autoconf, automake
  * Invoke AM_INIT_AUTOMAKE with "foreign"
  * Set debhelper compatibility level to 13
  * Add debian/source/format
  * Do not ship SGML and HTML version of the man page, remove
    debian/htmlworkaround and doc-base control file
  * Drop debian/watch file, ftp.mutt.org does not have any upstream tarballs
    anymore

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

 -- Emanuele Rocca <ema@debian.org>  Thu, 16 Sep 2021 12:02:11 +0200

urlview (0.9-21) unstable; urgency=medium

  * Use aclocal-1.16. Closes: #906513
  * url_handler.sh uses sensible-browser, add dependency on sensible-utils.
  * Set debhelper compatibility level to 10.
  * Add Vcs-{Browser,Git} poiting to salsa.
  * Update Standards-Version to 4.2.0.

 -- Emanuele Rocca <ema@debian.org>  Sun, 19 Aug 2018 15:00:03 +0200

urlview (0.9-20) unstable; urgency=medium

  * Invoke automake with --add-missing and bump DEB_AUTO_UPDATE_ACLOCAL to
    1.15. Closes: #818411
  * Build-depend on automake.
  * Pass -n to gzip to allow reproducible builds.
  * Set Standards-Version to 3.9.7.

 -- Emanuele Rocca <ema@debian.org>  Thu, 24 Mar 2016 11:40:48 +0100

urlview (0.9-19) unstable; urgency=low

  * Acknowledge NMU. Thanks, Matt Kraai!
  * Alpine added to mailto_prgs. Closes: #521049
  * Mimedecode removed from "Suggests". Closes: #550885, #597426
  * ncftp2 has been renamed to ncftp. "Suggests" changed accordingly.
  * Standards-Version bumped to 3.9.1:
    - Added {misc:Depends} to "Depends".
    - Debhelper compatibility level set to 8, build-depend on debhelper >= 8.
    - Extra leading whitespaces removed from doc-base control file.
    - Removed debian/postinst as calling install-docs is not required anymore.
    - Fixed debian/NEWS syntax errors.
    - doc-base section changed to Text.

 -- Emanuele Rocca <ema@debian.org>  Sat, 12 Mar 2011 20:42:01 +0100

urlview (0.9-18.1) unstable; urgency=low

  * Non-maintainer upload.
  * Change DEB_AUTO_UPDATE_ACLOCAL from 1.10 to 1.11 and build-depend on
    automake1.11 instead of automake. Closes: #543023

 -- Matt Kraai <kraai@debian.org>  Tue, 29 Sep 2009 06:08:26 -0700

urlview (0.9-18) unstable; urgency=low

  * Build-depend on automake instead of automake1.8. Closes: #474078
  * BROWSER convention url updated in README. Closes: #438953
  * Updated Standards-Version.

 -- Emanuele Rocca <ema@debian.org>  Sun, 06 Apr 2008 11:00:07 +0200

urlview (0.9-17) unstable; urgency=low

  * Use sensible-browser rather than www-browser in url_handler.sh.
  * Updated Standards-Version.

 -- Emanuele Rocca <ema@debian.org>  Sun, 29 Jul 2007 15:41:17 +0200

urlview (0.9-16) unstable; urgency=low

  * Wrapping disabled by default.
    Added WRAP configuration option. Closes: #327850
  * Debian REGEXP and COMMAND hardcoded in urlview.c Closes: #322432
  * Switched from simple-patchsys (cdbs) to darcs-buildpackage:
     - debian/patches/ directory removed
     - call to simple-patchsys.mk removed
  * Standards-Version updated
  * Address of the FSF updated in debian/copyright

 -- Emanuele Rocca <ema@debian.org>  Wed, 05 Oct 2005 18:35:52 +0200

urlview (0.9-15) unstable; urgency=low

  * Patched to support url pre-selection.
    Thanks to Kim Oldfield for the patch. Closes: #108581

 -- Emanuele Rocca <ema@debian.org>  Thu,  9 Jun 2005 12:40:24 +0200

urlview (0.9-14) experimental; urgency=low

  * Patched to support wrapping.
    Thanks to Martin Michlmayr for the patch. Closes: #307576

 -- Emanuele Rocca <ema@debian.org>  Sun, 05 Jun 2005 15:07:33 +0200

urlview (0.9-13) experimental; urgency=low

  * Missing build dependencies added: libtool, automake1.8, autoconf.
    Thanks, Kenshi Muto. Closes: #309169
  * Patched to support page up and page down also with few results.
    Closes: #307577
  * Changed 'Recommends' to: elinks | www-browser to make lintian happy.

 -- Emanuele Rocca <ema@debian.org>  Sun, 15 May 2005 12:37:24 +0200

urlview (0.9-12) experimental; urgency=low

  * Switched to CDBS
    - debian/rules rewritten to support CDBS
    - changes from the pristine tarball splitted and added to debian/patches
    - debhelper versioned build-dependency bumped to 4.1.0
  * Watch file added

 -- Emanuele Rocca <ema@debian.org>  Wed,  4 May 2005 21:49:24 +0200

urlview (0.9-11) unstable; urgency=low

  * debian/url_handler.sh:
    Added support for RFC 2368 urls (mailto URL scheme).
    Closes:#233066

 -- Emanuele Rocca <ema@debian.org>  Mon, 16 Feb 2004 14:36:09 +0100


