=== debian/control ===
Source: urlview
Section: misc
Priority: optional
Maintainer: Emanuele Rocca <ema@debian.org>
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian/urlview
Vcs-Git: https://salsa.debian.org/debian/urlview.git
Build-Depends: libncurses-dev, debhelper-compat (= 13)

Package: urlview
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sensible-utils
Recommends: elinks | www-browser
Suggests: mutt, ncftp | lftp, wget | snarf
Description: Extracts URLs from text
 This utility is used to extract URL from text files, especially from mail
 messages in order to launch some browser to view them. This used to be a
 part of mutt but has now become an independent tool.
