=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --mandir=$(CURDIR)/debian/urlview/usr/share/man

override_dh_auto_install:
	dh_auto_install
	install -m 644 debian/system.urlview \
	               debian/urlview/etc/urlview/system.urlview
	install -m 755 debian/url_handler.sh \
		       debian/urlview/etc/urlview/url_handler.sh
