=== debian/tests/control ===
Tests: nourls, urlextract
Depends: urlview
