## urlview 1c

=== debian/changelog ===
urlview (1c-1) unstable; urgency=medium

  * d/control: drop the ill-conceived shellcheck dep
  * Downgrade sensible-utils to Recommends: ‒
    very-nice-to-have in default configuration,
    but by no means absolutely required (Closes: #906725)
  * Revert UCF addition (Closes: #1057675)
  * New upstream version 1c (+ changelog & NEWS) (Closes: #1057411, #1043334)
  * d/copyright: update for 1c

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Mon, 11 Dec 2023 13:12:26 +0100

urlview (1b-1) unstable; urgency=medium

  * New maintainer (Closes: #1051204)
  * d/watch, d/upstream/signing-key.asc: new for urlview-ng upstream
  * New upstream version 1b (+ changelog & NEWS)
    (Closes: #127090, #161620, #631481, #690405, #983417, #985259, #988055)
  * d/system.urlview, d/url_handler.sh, d/patches: remove, merged upstream
  * d/postrm, d/dhelp, d/README.Debian: remove
  * d/tests: rewrite
  * d/rules, d/copyright: new for urlview-ng
  * d/upstream/metadata: add for urlview-ng

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sun, 26 Nov 2023 23:17:53 +0100

urlview (0.9-24) unstable; urgency=medium

  * Goodbye urlview! Set maintainer field to QA Group.

 -- Emanuele Rocca <ema@debian.org>  Mon, 04 Sep 2023 15:06:08 +0200
