=== debian/control ===
Source: urlview
Section: misc
Priority: optional
Maintainer: наб <nabijaczleweli@nabijaczleweli.xyz>
Standards-Version: 4.6.2
Homepage: https://sr.ht/~nabijaczleweli/urlview-ng
Rules-Requires-Root: no
Vcs-Git: https://git.sr.ht/~nabijaczleweli/urlview.deb
Vcs-Browser: https://git.sr.ht/~nabijaczleweli/urlview.deb
Build-Depends: debhelper,
               debhelper-compat (= 13),
               libncurses-dev,
               gettext <!pkg.urlview.noloc>,

Package: urlview
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: sensible-utils, elinks | www-browser
Suggests: mutt | neomutt, ncftp | lftp, wget | curl | snarf
Description: Extracts URLs from text
 This utility is used to extract URL from text files, especially from mail
 messages in order to launch some browser to view them. This used to be a
 part of mutt but has now become an independent tool.
