=== debian/watch ===
version=4
opts="pgpsigurlmangle=s:$:.asc:" \
	https://git.sr.ht/~nabijaczleweli/urlview-ng/refs .*/([0-9][0-9a-zA-Z]*)@ARCHIVE_EXT@
