## urlview 1d

=== Makefile ===
--- 
+++ 
@@ -8,9 +8,9 @@
 LOCALLOC ?=
 SHELLCHECK ?= $(shell command -v shellcheck 2>/dev/null || echo @#)
 NOLOCREGEN ?=
-CURSESCONF ?= ncursesw6-config  # can be "pkgconf ncursesw" too
+CURSESCONF ?= ncursesw6-config  # can be "pkgconf ncursesw" too, or "echo -lcurses #"
 VERSION ?= $(shell git describe)
-DATE_EPOCH = date $(shell date --date @0 > /dev/null 2>&1 && echo "--date @" || echo "-r ")
+DATE_EPOCH = date $(shell date -d @0 > /dev/null 2>&1 && echo "-d @" || echo "-r ")
 SOURCE_DATE_EPOCH ?= $(shell git log -1 --no-show-signature --format=%at "urlview.1.in")
 MANUAL_DATE ?= $(shell $(DATE_EPOCH)$(SOURCE_DATE_EPOCH) +"%B %e, %Y")
 PREFIX ?= /usr/local
@@ -41,10 +41,11 @@
 .PHONY: all check clean install
 
 all: urlview urlview.1 sample.urlview $(patsubst %.po,loc/%/LC_MESSAGES/urlview-ng.mo,$(LOCALES))
-check:
+check: quote
 	$(SHELLCHECK) url_handler.sh
+	./quote
 clean:
-	rm -rf *.o urlview urlview.1 sample.urlview loc
+	rm -rf *.o urlview quote urlview.1 sample.urlview loc
 
 
 loc/urlview-ng.pot: urlview.c url_handler.sh
@@ -80,3 +81,7 @@
 urlview: urlview.o enter.o enter.o dokey.o quote.o
 urlview.o dokey.o enter.o: enter.h
 urlview.o quote.o:         quote.h
+
+quote: CPPFLAGS+=-DTEST
+quote: quote.cpp
+	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) $< $(LOADLIBES) $(LDLIBS) -o $@
