=== debian/changelog ===
urlview (1d-1) unstable; urgency=medium

  * New upstream version 1d (+ changelog & NEWS)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Fri, 16 Feb 2024 13:30:25 +0100
