## urlview 1e

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 NOLOCREGEN ?=
 CURSESCONF ?= ncursesw6-config  # can be "pkgconf ncursesw" too, or "echo -lcurses #"
 VERSION ?= $(shell git describe)
-DATE_EPOCH = date $(shell date -d @0 > /dev/null 2>&1 && echo "-d @" || echo "-r ")
+DATE_EPOCH = LC_ALL=C date $(shell date -d @0 > /dev/null 2>&1 && echo "-d @" || echo "-r ")
 SOURCE_DATE_EPOCH ?= $(shell git log -1 --no-show-signature --format=%at "urlview.1.in")
 MANUAL_DATE ?= $(shell $(DATE_EPOCH)$(SOURCE_DATE_EPOCH) +"%B %e, %Y")
 PREFIX ?= /usr/local
@@ -52,7 +52,7 @@
 	@mkdir -p $(@D)
 	$(NOLOCREGEN)xgettext --from-code=UTF-8 -c -io- $^ | sed -n '/^#[:.]/,$$p' > $@
 	$(NOLOCREGEN)$(foreach l,$(LOCALES),msgmerge --backup=off --no-wrap -Uiq $(l) $@ &&) :
-	@>> loc/urlview-ng.pot
+	@>> $@
 
 loc/%/LC_MESSAGES/urlview-ng.mo : %.po loc/urlview-ng.pot
 	@mkdir -p $(@D)
