=== debian/changelog ===
urlview (1e-1) unstable; urgency=medium

  * New upstream version 1e (+ changelog & NEWS)
  * Suggests: xclip | xsel | wl-clipboard
  * Standards-Version: 4.6.2 -> 4.7.0
  * lintian update-debian-copyright

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sun, 06 Oct 2024 17:09:36 +0200
