=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: наб <nabijaczleweli@nabijaczleweli.xyz>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://sr.ht/~nabijaczleweli/urlview-ng
 Rules-Requires-Root: no
 Vcs-Git: https://git.sr.ht/~nabijaczleweli/urlview.deb
@@ -16,7 +16,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: sensible-utils, elinks | www-browser
-Suggests: mutt | neomutt, ncftp | lftp, wget | curl | snarf
+Suggests: mutt | neomutt, ncftp | lftp, wget | curl | snarf, xclip | xsel | wl-clipboard
 Description: Extracts URLs from text
  This utility is used to extract URL from text files, especially from mail
  messages in order to launch some browser to view them. This used to be a
