=== debian/tests/control ===
Tests: nourls
Depends: @, bsdutils

Tests: urlextract
